Bug 1421993 - List the gluster volumes only in started state, when associating it with the Gluster data domain
Summary: List the gluster volumes only in started state, when associating it with the ...
Keywords:
Status: POST
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Gluster
Version: 4.1.0.4
Hardware: x86_64
OS: Linux
medium
medium vote
Target Milestone: ovirt-4.4.0
: ---
Assignee: Kaustav Majumder
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On:
Blocks: Gluster-HC-2
TreeView+ depends on / blocked
 
Reported: 2017-02-14 09:52 UTC by SATHEESARAN
Modified: 2019-03-27 08:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
oVirt Team: Gluster
pm-rhel: ovirt-4.4?
rule-engine: planning_ack+
sasundar: devel_ack?
sasundar: testing_ack?


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 72825 master ABANDONED engine: Only started volumes in storage domain selection 2017-08-06 01:56:15 UTC
oVirt gerrit 98938 master ABANDONED webadmin: Only started volumes in storage domain selection 2019-09-08 01:56:08 UTC

Description SATHEESARAN 2017-02-14 09:52:42 UTC
Description of problem:
-----------------------
While creating gluster data domain, when checking the option 'use managed gluster volume', lists the set of all gluster volumes in the cluster, irrespective of the state of the volume (i.e) started or stopped.

It would make sense only to list the set of all volumes that are in started state

Version-Release number of selected component (if applicable):
--------------------------------------------------------------
ovirt-4.1.0.4

How reproducible:
-----------------
Always

Steps to Reproduce:
-------------------
1. Create a hyperconverged cluster ( both virt and gluster service enabled )
2. Manage the gluster replica 3, sharded volume in that cluster. Leave it in created state and never start the volume. ( volume is in created state and its DOWN )
3. Create a Gluster data domain by selecting 'Use Managed Gluster Volume'
4. Select the volume mount as listed

Actual results:
---------------
The volume which is down ( just created and not started ) is being listed when associating gluster data domain to gluster volume.

Expected results:
-----------------
Only the volumes which are in the started stated should be listed when associating the gluster data domain to gluster volume

Comment 2 Sandro Bonazzola 2019-01-28 09:34:27 UTC
This bug has not been marked as blocker for oVirt 4.3.0.
Since we are releasing it tomorrow, January 29th, this bug has been re-targeted to 4.3.1.


Note You need to log in before you can comment on or make changes to this bug.